/***************************************************************************
                          crrc_engine.c  -  description
                             -------------------
    begin                : Sat Jan 22 2000
    copyright            : (C) 2000 by Jan Edward Kansky
    email                : kansky@ll.mit.edu
 ***************************************************************************/

#include <math.h>
#include "ls_types.h"
#include "ls_constants.h"
#include "ls_generic.h"
#include "ls_sim_control.h"
#include "ls_cockpit.h"

extern float max_thrust;
extern SIM_CONTROL	sim_control_;

void engine( SCALAR dt, int init ) {
    Throttle[3] = Throttle_pct;
    if (Throttle[3] < 0.2)
     Throttle[3]=0;
    F_X_engine = Throttle[3]*max_thrust;
    F_Z_engine = Throttle[3]*0.0;
    Throttle_pct = Throttle[3];
}


