/***************************************************************************
                          crrcsim.h  -  description
                             -------------------
    begin                : Sat Jan 22 2000
    copyright            : (C) 2000 by Jan Edward Kansky
    email                : kansky@ll.mit.edu
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
struct aircraft_state
{
  float time;             //  Time of validity for state
  float xpos,ypos,zpos;   //  Coordinates of the center of mass of the airplane
  float xang,yang,zang;   //  Vector in the direction the airplane is pointing
  float xvel,yvel,zvel;   //  Vector of airplane velocity
  float mass;             //  Mass of the airplane
  float pitch_moment;     //  Moment of inertia in pitch axis
  float roll_moment;      //  Moment of inertia in roll axis
  float yaw_moment;       //  Moment of inertia of the plane in yaw
};
